HTML Parameter Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# $table-width$

## Name

$table-width$ -- Calculate table width

## Synopsis

    ($table-width$)

## Description

This function is called to calculate the width of tables that should theoretically be "100%" wide. Unfortunately, in HTML, a 100% width table in a list hangs off the right side of the browser window. (Who's mistake was that!). So this function provides a way to massage the width appropriately.

This version is fairly dumb.

## Source Code

    (define ($table-width$)
      ;; Calculate table width
      (if (has-ancestor-member? (current-node) '("LISTITEM"))
          "90%"
          "100%"))

Prev | Home | Next
$table-element-list$ | Up | %simplelist-column-width%